GOLF(2gg)

NAME
new-fifo - (FIFO)

PURPOSE
Create FIFO list.

SYNTAX

        new-fifo <list>

DESCRIPTION
new-fifo initializes new FIFO <list> (First In First Out).

<list> contains data stored on a first-in, first out basis. Note that a list is accessible to the current process only.

Information is retrieved (possibly many times, see rewind-fifo) in the same order in which it was stored.

The internal positions for write-fifo and read-fifo actions are separate so you can keep writing data to the list, and read it independently of writes in any number of retrieval passes by using rewind-fifo.

EXAMPLES

        new-fifo nf

SEE ALSO
 FIFO

delete-fifo new-fifo purge-fifo read-fifo rewind-fifo write-fifo See all documentation